#include<bits/stdc++.h>
using namespace std;
char hodove[100000];
long long gore=0,dolu=0,lqvo=0,dqsno=0;
long long dyljina;
int main(){
cin.getline(hodove,100001);
dyljina=strlen(hodove);
for(int i=0;i<dyljina;i++){
    if(hodove[i]=='D'){
        dolu++;
    }else{
        if(hodove[i]=='U'){
            gore++;
        }else{
            if(hodove[i]=='R'){
                dqsno++;
            }else{
                lqvo++;
            }
        }
    }
}
int YesNo=0;
if(dolu>=gore){
    dolu=dolu-gore;
    for(long long i=0;i<dolu;i++){
        cout<<"U";
        YesNo=1;
    }
}else{
    gore=gore-dolu;
    for(long long i=0;i<gore;i++){
        cout<<"D";
        YesNo=1;
    }
}
if(dqsno>=lqvo){
    dqsno=dqsno-lqvo;
    for(long long i=0;i<dqsno;i++){
        cout<<"L";
        YesNo=1;
    }
}else{
    lqvo=lqvo-dqsno;
    for(long long i=0;i<lqvo;i++){
        cout<<"R";
        YesNo=1;
    }
}
if(YesNo==0){
    cout<<"0";
}
cout<<endl;
return 0;
}